## golang-github-dimonomid-ssh-config 0.0.1

=== Makefile ===
BUMP_VERSION := $(GOPATH)/bin/bump_version
STATICCHECK := $(GOPATH)/bin/staticcheck
WRITE_MAILMAP := $(GOPATH)/bin/write_mailmap

$(STATICCHECK):
	go get honnef.co/go/tools/cmd/staticcheck

lint: $(STATICCHECK)
	go vet ./...
	$(STATICCHECK)

test:
	@# the timeout helps guard against infinite recursion
	go test -timeout=250ms ./...

race-test:
	go test -timeout=500ms -race ./...

$(BUMP_VERSION):
	go get -u github.com/dimonomid/bump_version

$(WRITE_MAILMAP):
	go get -u github.com/dimonomid/write_mailmap

release: test | $(BUMP_VERSION)
	$(BUMP_VERSION) --tag-prefix=v minor config.go

force: ;

AUTHORS.txt: force | $(WRITE_MAILMAP)
	$(WRITE_MAILMAP) > AUTHORS.txt

authors: AUTHORS.txt

=== debian/changelog ===
golang-github-dimonomid-ssh-config (0.0.1-3) sid; urgency=low

  * Removing rules-requires-root, not needed anymore.
  * Updating watch file to version 5.

 -- Daniel Baumann <daniel@debian.org>  Sun, 30 Nov 2025 19:18:29 +0100

golang-github-dimonomid-ssh-config (0.0.1-2) sid; urgency=low

  * Harmonizing upload need in initial changelog entry.
  * Using codename instead of suitname in changelog.

 -- Daniel Baumann <daniel@debian.org>  Wed, 25 Jun 2025 22:52:57 +0200

golang-github-dimonomid-ssh-config (0.0.1-1) sid; urgency=low

  * Initial upload to sid, needed for nerdlog.

 -- Daniel Baumann <daniel@debian.org>  Sat, 24 May 2025 11:27:54 +0200

=== debian/control ===
Source: golang-github-dimonomid-ssh-config
Section: golang
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
Standards-Version: 4.7.2
Homepage: https://github.com/dimonomid/ssh_config
Vcs-Browser: https://forgejo.debian.net/nerdlog/golang-github-dimonomid-ssh-config
Vcs-Git: https://forgejo.debian.net/nerdlog/golang-github-dimonomid-ssh-config
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/dimonomid/ssh_config

Package: golang-github-dimonomid-ssh-config-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: parser for ssh_config files (Go library)
 This is a Go parser for ssh_config files. Importantly, this parser
 attempts to preserve comments in a given file, so you can manipulate a
 ssh_config file from a program, if your heart desires.

=== debian/watch ===
Version: 5

Template: Github
Owner: dimonomid
Project: ssh_config
